/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define BOARD_INITPINS_IOMUXC_GPR_GPR26_GPIO_MUX1_GPIO_SEL_MASK 0x040000U /*!< GPIO1 and GPIO6 share same IO MUX function, GPIO_MUX1 selects one GPIO function: affected bits mask */
#define BOARD_INITPINS_IOMUXC_GPR_GPR27_GPIO_MUX2_GPIO_SEL_MASK 0x10000000U /*!< GPIO2 and GPIO7 share same IO MUX function, GPIO_MUX2 selects one GPIO function: affected bits mask */

/* GPIO_AD_B1_02 (coord K11), SDIO0_SD1_SEL */
/* Routed pin properties */
#define BOARD_INITPINS_SDIO0_SD1_SEL_PERIPHERAL                            GPIO1   /*!< Peripheral name */
#define BOARD_INITPINS_SDIO0_SD1_SEL_SIGNAL                              gpio_io   /*!< Signal name */
#define BOARD_INITPINS_SDIO0_SD1_SEL_CHANNEL                                 18U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_SDIO0_SD1_SEL_GPIO                                  GPIO1   /*!< GPIO peripheral base pointer */
#define BOARD_INITPINS_SDIO0_SD1_SEL_GPIO_PIN                                18U   /*!< GPIO pin number */
#define BOARD_INITPINS_SDIO0_SD1_SEL_GPIO_PIN_MASK                   (1U << 18U)   /*!< GPIO pin mask */
#define BOARD_INITPINS_SDIO0_SD1_SEL_PORT                                  GPIO1   /*!< PORT peripheral base pointer */
#define BOARD_INITPINS_SDIO0_SD1_SEL_PIN                                     18U   /*!< PORT pin number */
#define BOARD_INITPINS_SDIO0_SD1_SEL_PIN_MASK                        (1U << 18U)   /*!< PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
